Agents
GET
/api/v1/agents/{agent_id}

Get a specific agent by ID (UUID) or agent_id (6-digit) within the active workspace.

Authorization

AuthorizationBearer <token>

JWT access token. Use: Authorization: Bearer .

In: header

Path Parameters

agent_id*Agent Id

Header Parameters

X-Workspace-Id?string|null
Authorization?string|null
X-API-Key?string|null
X-EFFICIENTAI-API-KEY?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/agents/string"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "agent_id": "string",  "name": "string",  "phone_number": "string",  "language": "en",  "description": "string",  "call_type": "inbound",  "call_medium": "phone_call",  "telephony_phone_number_id": "e38c98fb-edc7-4356-a1b4-9fed10da790e",  "voice_bundle_id": "65d41f80-1b08-4e90-b462-1e77857f2a5a",  "ai_provider_id": "5a3b8ff9-20e7-4c37-ba1a-5b433e355819",  "voice_ai_integration_id": "56d7ec5b-1992-45e7-8ee8-b99a1df5ed3c",  "voice_ai_agent_id": "string",  "provider_prompt": "string",  "test_agent_template": {    "sections": [      {        "key": "string",        "title": "string",        "content": "string"      }    ],    "first_message": {      "production_mode": "string",      "production_message": "string",      "caller_mode": "string",      "caller_message": "string"    }  },  "prompt_variables": {    "property1": "string",    "property2": "string"  },  "silence_hangup_secs": 15,  "provider_prompt_synced_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}

Community & contact

  1. Found a bug or have a feature request? Open a GitHub issue.
  2. Join our Discord for faster replies!